# MatCreateScatter

Creates a new matrix based on a VecScatter

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatCreateScatter(MPI_Comm comm,VecScatter scatter,Mat *A)

Collective on MPI_Comm

### Input Parameters

| comm | - MPI communicator
| scatter | - a VecScatterContext

### Output Parameter

A -the matrix

PETSc requires that matrices and vectors being used for certain operations are partitioned accordingly. For example, when creating a scatter matrix, A, that supports parallel matrix-vector products using MatMult(A,x,y) the user should set the number of local matrix rows to be the number of local elements of the corresponding result vector, y. Note that this is information is required for use of the matrix interface routines, even though the scatter matrix may not actually be physically partitioned. For example,

### Keywords

matrix, scatter, create

### See Also

MatScatterSetVecScatter(), MatScatterGetVecScatter(), MATSCATTER

Level:intermediate
Location: src/mat/impls/scatter/mscatter.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages